package com.ruoyi.tjfx.service;

import com.ruoyi.tjfx.entity.*;

import java.util.List;

public interface ReportService {
    OverallAnalysisVO overallAnalysis(String startDate, String endDate, String category, String categorySpecs, String customer, String shop, String brand, String productCode);
    ProductAnalysisVO productAnalysis(String startDate, String endDate, String productCode);
    ShopAnalysisVO shopAnalysis(String startDate, String endDate, String shop);
    CategoryAnalysisVO categoryAnalysis(String startDate, String endDate, String category);
    FilterOptionsVO filterOptions();
    List<ProductCodeSuggestionVO> productCodeSuggestions(String keyword);
}
